#
# casenum = 1 call: yfun.m    [obtain realizations of the uncertain subsystem, y(a,e,t)]
# casenum = 2 call: zfun.m    [obtain realizations of the integrated system, z1(a,e,theta,t), z2(a,e,theta,t)]
# casenum = 3 call: gfun.m    [compute the requirements vector g(a,e,theta)]
# casenum = 4 call: yfun.m + zfun.m  [obtain realizations uncertain subsystem and integrated system using a single system command]
# casenum = 5 call: yfun.m + gfun.m  [obtain realizations uncertain subsystem and requirements vector using a single system command]
# casenum = 6 call: zfun.m + gfun.m  [obtain realizations integrated system and requirements vector using a single system command]
# casenum = 7 call: yfun + zfun.m + gfun.m  [obtain realizations of y,z,g using a single system command]
#

casenum=7;

afile='aleatory.dat';
efile='epistemic.dat';
dfile='design.dat';
cfile='casefile.dat';    % <-- This file must contain a single value (between 1 to 7) of "casenum" as defined above

na=5;       % Number of aleatory variables  (cannot be changed)
ne=4;       % Number of epistemic variables (cannot be changed)
nd=9;       % Number of design variables    (cannot be changed)
nr=20;      % Number of random realizations of aleatory, epistemic, and design parameters (user defined)

rng default                 % Set default random number generator

a=rand(nr*na,1);
e=rand(nr*ne,1);
theta=rand(1,nr*nd);


fileAID = fopen(afile,'w');
fileEID = fopen(efile,'w');
fileDID = fopen(dfile,'w');
fileCID = fopen(cfile,'w');

fprintf(fileAID,'%.20f\n',a);
fprintf(fileEID,'%.20f\n',e);
fprintf(fileDID,'%.20f\n',theta);
fprintf(fileCID,'%.20f\n',casenum);

fclose(fileAID);
fclose(fileEID);
fclose(fileDID);
fclose(fileCID);

